Page MenuHomePhabricator

Add initial code for Efl.Ui.Popup.Anchor.List
AbandonedPublic

Authored by jpeg on Sep 20 2017, 9:24 PM.

Details

Summary

Added initial code for Efl.Ui.Popup.Anchor.List.
It support list API to anchor popup

Test Plan

run elementary_test -to efluipopupanchorlist

Diff Detail

Repository
rEFL core/efl
Branch
devs/jaehyun/popup
Lint
No Linters Available
Unit
No Unit Test Coverage
Blackmole created this revision.Sep 20 2017, 9:24 PM
Blackmole updated this revision to Diff 12334.Sep 20 2017, 9:59 PM

apply size hint

I have minor suggestion about naming variables.

src/lib/elementary/efl_ui_popup_anchor_list.c
25

What about changing the callback function name as "_item_append_cb"?

src/lib/elementary/efl_ui_popup_anchor_list_private.h
19

What about changing the name as "popup_obj" or "cb_obj"?

Blackmole updated this revision to Diff 12388.Sep 27 2017, 10:17 PM

add item remove case and selected_item_get API

Jaehyun_Cho accepted this revision.Oct 29 2017, 9:35 PM
This revision is now accepted and ready to land.Oct 29 2017, 9:35 PM
jpeg commandeered this revision.Nov 8 2017, 7:11 PM
jpeg edited reviewers, added: Blackmole; removed: jpeg.

Closing . See D5037

jpeg abandoned this revision.Nov 8 2017, 7:11 PM